Bug 91722 - cannot ptrace process which has setuid()
cannot ptrace process which has setuid()
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
Depends On:
Blocks: 106715
  Show dependency treegraph
Reported: 2003-05-27 12:12 EDT by Joe Orton
Modified: 2012-06-20 09:20 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 09:20:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2003-05-27 12:12:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
The ptrace security fixes were discovered to be buggy: they prevent ptrace()ing
a process which has called setuid().

This makes it very difficult, for instance, to debug an Apache httpd server.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. service httpd start
2. ps axf # and find an httpd child
3. strace -p <thepid>
Actual Results:  attach: ptrace(PTRACE_ATTACH, ...): Operation not permitted

Expected Results:  normal strace output.

Additional info:

This was fixed in some of the kernel updates for RHL, e.g. kernel-2.4.20-13.9
works correctly.
Comment 2 Jason Baron 2003-11-20 14:07:16 EST
fixed for U3
Comment 3 Jiri Pallich 2012-06-20 09:20:03 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.